from odoo import models, fields


class EncoachRubric(models.Model):
    _name = 'encoach.rubric'
    _description = 'Scoring Rubric'

    name = fields.Char(size=200, required=True)
    skill = fields.Selection([
        ('writing', 'Writing'),
        ('speaking', 'Speaking'),
    ], required=True)
    criteria = fields.Text(required=True)
    exam_type = fields.Selection([
        ('academic', 'Academic'),
        ('general_training', 'General Training'),
        ('general_english', 'General English'),
    ])
